<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package narrative
 */

global $narrative_theme

/* <pre><?= var_dump($narrative_theme) ?></pre> */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
		<meta charset="<?php bloginfo( 'charset' ); ?>">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<link rel="profile" href="http://gmpg.org/xfn/11">

		<?php wp_head(); ?>
	</head>

	<body <?php body_class(); ?>>
		<?php if(narrative_styles()['body_grid_lines'] == 'show') { ?>
			<div class="body-grid-lines">
				<div></div>
				<div></div>
				<div></div>
				<div></div>
				<div></div>
			</div>
		<?php } ?>
		<div id="all" class="site">
			<?php if(narrative_styles()['preloader_show'] == '1') { ?>
				<div class="preloader">
					<div class="preloader-folding-cube">
						<div class="preloader-cube1 preloader-cube"></div>
						<div class="preloader-cube2 preloader-cube"></div>
						<div class="preloader-cube4 preloader-cube"></div>
						<div class="preloader-cube3 preloader-cube"></div>
					</div>
				</div>
			<?php } if(narrative_styles()['header_style'] == 'logo_left') { ?>
				<header class="site-header <?php echo esc_attr(narrative_styles()['css_classes']) ?> main-row">
					<div class="<?php echo esc_attr(narrative_styles()['header_container']) ?>">
						<?php if(is_active_sidebar('sidebar2')) { ?>
							<div class="fl">
								<div class="open-side-bar"><i class="outicons-icons-multimedia-menu"></i></div>
							</div>
						<?php } ?>
						<div class="logo"><a href="<?php echo esc_url(home_url('/')) ?>"><?php echo wp_kses(narrative_styles()['logo_content'], 'post') ?></a></div>
						<div class="fr">
							<?php if(has_nav_menu('navigation') && narrative_styles()['navigation_type'] != 'disabled') { ?>
								<nav class="navigation <?php echo esc_attr(narrative_styles()['navigation_type']) ?>"><?php wp_nav_menu( array( 'theme_location' => 'navigation', 'container' => 'ul', 'menu_class' => 'menu', 'link_before' => '<span>', 'link_after' => '</span>' ) ); ?></nav>
							<?php } if(narrative_styles()['cart'] == 'yes' && class_exists( 'WooCommerce' )) { ?>
								<div class="header-minicart woocommerce header-minicart-narrative">
									<?php global $woocommerce;
									$count = $woocommerce->cart->cart_contents_count;
									if($count == 0) { ?>
									<div class="hm-cunt"><i class="base-icons-shopping-cart-black-shape"></i><span><?php echo esc_html($count) ?></span></div>
									<?php } else { ?>
									<a class="hm-cunt" href="<?php echo esc_url(wc_get_cart_url()) ?>"><i class="base-icons-shopping-cart-black-shape"></i><span><?php echo esc_html($count) ?></span></a>
									<?php } ?>
									<div class="minicart-wrap">
										<?php woocommerce_mini_cart(); ?>
									</div>
								</div>
							<?php } if(has_nav_menu('navigation') && narrative_styles()['navigation_type'] != 'disabled') { ?>
								<div class="butter-button nav-button <?php echo esc_attr(narrative_styles()['navigation_type']) ?>">
									<div></div>
								</div>
							<?php } if(narrative_styles()['search'] == 'yes') { ?>
								<div class="search-button"><i class="base-icons-magnifying-glass"></i></div>
							<?php } ?>
						</div>
					</div>
				</header>
			<?php } else if(narrative_styles()['header_style'] == 'logo_center_t2') { ?>
				<header class="site-header <?php echo esc_attr(narrative_styles()['css_classes']) ?> main-row">
					<div class="<?php echo esc_attr(narrative_styles()['header_container']) ?>">
						<?php if(is_active_sidebar('sidebar2')) { ?>
							<div class="fl">
								<div class="open-side-bar"><i class="outicons-icons-multimedia-menu"></i></div>
							</div>
						<?php } ?>
						<div class="logo"><a href="<?php echo esc_url(home_url('/')) ?>"><?php echo wp_kses(narrative_styles()['logo_content'], 'post') ?></a></div>
						<div class="fr">
							<?php if(narrative_styles()['search'] == 'yes') { ?>
								<div class="search-button"><i class="base-icons-magnifying-glass"></i></div>
							<?php } if(has_nav_menu('navigation') && narrative_styles()['navigation_type'] != 'disabled') { ?>
								<div class="butter-button nav-button <?php echo esc_attr(narrative_styles()['navigation_type']) ?>">
									<div></div>
								</div>
							<?php } if(narrative_styles()['cart'] == 'yes' && class_exists( 'WooCommerce' )) { ?>
								<div class="header-minicart woocommerce header-minicart-narrative">
									<?php global $woocommerce;
									$count = $woocommerce->cart->cart_contents_count;
									if($count == 0) { ?>
									<div class="hm-cunt"><i class="base-icons-shopping-cart-black-shape"></i><span><?php echo esc_html($count) ?></span></div>
									<?php } else { ?>
									<a class="hm-cunt" href="<?php echo esc_url(wc_get_cart_url()) ?>"><i class="base-icons-shopping-cart-black-shape"></i><span><?php echo esc_html($count) ?></span></a>
									<?php } ?>
									<div class="minicart-wrap">
										<?php woocommerce_mini_cart(); ?>
									</div>
								</div>
							<?php } ?>
						</div>
						<?php if(has_nav_menu('navigation') && narrative_styles()['navigation_type'] != 'disabled') { ?>
							<nav class="navigation <?php echo esc_attr(narrative_styles()['navigation_type']) ?>"><?php wp_nav_menu( array( 'theme_location' => 'navigation', 'container' => 'ul', 'menu_class' => 'menu', 'link_before' => '<span>', 'link_after' => '</span>' ) ); ?></nav>
						<?php } ?>
					</div>
				</header>
			<?php } else if(narrative_styles()['header_style'] == 'logo_center') { ?>
				<header class="site-header <?php echo esc_attr(narrative_styles()['css_classes']) ?> main-row">
					<div class="<?php echo esc_attr(narrative_styles()['header_container']) ?>">
						<?php if(is_active_sidebar('sidebar2')) { ?>
							<div class="open-side-bar fl"><i class="outicons-icons-multimedia-menu"></i></div>
						<?php } if(has_nav_menu('navigation') && narrative_styles()['navigation_type'] != 'disabled') { ?>
							<div class="butter-button nav-button <?php echo esc_attr(narrative_styles()['navigation_type']) ?>">
								<div></div>
							</div>
							<nav class="navigation <?php echo esc_attr(narrative_styles()['navigation_type']) ?>"><?php wp_nav_menu( array( 'theme_location' => 'navigation', 'container' => 'ul', 'menu_class' => 'menu', 'link_before' => '<span>', 'link_after' => '</span>' ) ); ?></nav>
						<?php } ?>
						<div class="logo"><a href="<?php echo esc_url(home_url('/')) ?>"><?php echo wp_kses(narrative_styles()['logo_content'], 'post') ?></a></div>
						<div class="fr">
							<?php if(narrative_styles()['cart'] == 'yes' && class_exists( 'WooCommerce' )) { ?>
								<div class="header-minicart woocommerce header-minicart-narrative">
									<?php global $woocommerce;
									$count = $woocommerce->cart->cart_contents_count;
									if($count == 0) { ?>
									<div class="hm-cunt"><i class="base-icons-shopping-cart-black-shape"></i><span><?php echo esc_html($count) ?></span></div>
									<?php } else { ?>
									<a class="hm-cunt" href="<?php echo esc_url(wc_get_cart_url()) ?>"><i class="base-icons-shopping-cart-black-shape"></i><span><?php echo esc_html($count) ?></span></a>
									<?php } ?>
									<div class="minicart-wrap">
										<?php woocommerce_mini_cart(); ?>
									</div>
								</div>
							<?php } if(narrative_styles()['search'] == 'yes') { ?>
								<div class="search-button"><i class="base-icons-magnifying-glass"></i></div>
							<?php } ?>
						</div>
					</div>
				</header>
			<?php } else if(narrative_styles()['header_style'] == 'side') { ?>
				<header class="site-header <?php echo esc_attr(narrative_styles()['css_classes']) ?> main-row">
					<div class="<?php echo esc_attr(narrative_styles()['header_container']) ?>">
						<div class="logo"><a href="<?php echo esc_url(home_url('/')) ?>"><?php echo wp_kses(narrative_styles()['logo_content'], 'post') ?></a></div>
						<div class="fr">
							<?php if(has_nav_menu('navigation') && narrative_styles()['navigation_type'] != 'disabled') { ?>
								<nav class="navigation <?php echo esc_attr(narrative_styles()['navigation_type']) ?>"><?php wp_nav_menu( array( 'theme_location' => 'navigation', 'container' => 'ul', 'menu_class' => 'menu', 'link_before' => '<span>', 'link_after' => '</span>' ) ); ?></nav>
								<div class="butter-button nav-button <?php echo esc_attr(narrative_styles()['navigation_type']) ?>">
									<div></div>
								</div>
							<?php } if(narrative_styles()['cart'] == 'yes' && class_exists( 'WooCommerce' )) { ?>
								<div class="header-minicart woocommerce header-minicart-narrative">
									<?php global $woocommerce;
									$count = $woocommerce->cart->cart_contents_count;
									if($count == 0) { ?>
									<div class="hm-cunt"><i class="base-icons-shopping-cart-black-shape"></i><span><?php echo esc_html($count) ?></span></div>
									<?php } else { ?>
									<a class="hm-cunt" href="<?php echo esc_url(wc_get_cart_url()) ?>"><i class="base-icons-shopping-cart-black-shape"></i><span><?php echo esc_html($count) ?></span></a>
									<?php } ?>
									<div class="minicart-wrap">
										<?php woocommerce_mini_cart(); ?>
									</div>
								</div>
							<?php } if(narrative_styles()['search'] == 'yes') { ?>
								<div class="search-button"><i class="base-icons-magnifying-glass"></i></div>
							<?php } ?>
						</div>
					</div>
				</header>
				<div class="side-header main-row <?php echo esc_attr(narrative_styles()['css_classes']) ?>">
					<div class="logo"><a href="<?php echo esc_url(home_url('/')) ?>"><?php echo wp_kses(narrative_styles()['logo_content'], 'post') ?></a></div>
					<div class="wrap">
						<div class="cell">
							<nav class="side-navigation"><?php wp_nav_menu( array( 'theme_location' => 'navigation', 'container' => 'ul', 'menu_class' => 'menu', 'link_before' => '<span>', 'link_after' => '</span>', 'walker' => new Child_Wrap(), ) ); ?></nav>
						</div>
					</div>
					<div class="bottom">
						<?php if(!empty(narrative_styles()['social_buttons_content'])) { ?>
							<div class="social-buttons"><?php echo wp_kses_post(narrative_styles()['social_buttons_content']) ?></div>
						<?php } if(!empty(narrative_styles()['copyright_text'])) { ?>
							<div class="copyright"><?php echo wp_kses_post(narrative_styles()['copyright_text']) ?></div>
						<?php } ?>
					</div>
				</div>
			<?php } ?>
			<?php if(narrative_styles()['header_space'] == 'yes' || is_404() || is_page_template('page-coming-soon.php') || is_search()) { ?>
				<div class="header-space"></div>
			<?php } else { ?>
				<div class="header-space hide"></div>
			<?php } if(is_active_sidebar('sidebar2')) { ?>
				<div class="side-bar-area main-row">
					<div class="close basic-application-icons-delete"></div>
					<div class="wrap">
						<?php dynamic_sidebar( 'sidebar2' ); ?>
					</div>
					<?php if(!empty(narrative_styles()['copyright_text'])) { ?>
						<div class="copyright"><?php echo narrative_styles()['copyright_text'] ?></div>
					<?php } ?>
				</div>
			<?php } if(narrative_styles()['search'] == 'yes') { ?>
				<div class="search-popup main-row">
					<div class="close basic-application-icons-delete"></div>
					<div class="centered-container"><?php get_search_form(); ?></div>
				</div>
			<?php } if(has_nav_menu('navigation') && narrative_styles()['navigation_type']) { ?>
				<nav class="full-screen-nav main-row">
					<div class="close basic-application-icons-delete"></div>
					<div class="fsn-container">
						<?php wp_nav_menu( array( 'theme_location' => 'navigation', 'container' => 'ul', 'menu_class' => 'cell' ) ); ?>
					</div>
				</nav>
			<?php } ?>