<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Narrative
 */

/*
Template Name: Coming soon page
*/

get_header(); 
$id = uniqid('countdown-');

if(get_field('date')) {
	$year = mysql2date('Y', get_field('date'));
	$month = mysql2date('m', get_field('date'))-1;
	$day = mysql2date('j', get_field('date'));
	$hour = mysql2date('H', get_field('date'));
	$minutes = mysql2date('i', get_field('date'));

	wp_enqueue_script( 'countdown', get_template_directory_uri() . '/js/jquery.countdown.js' );
	wp_enqueue_script( 'narrative-script', get_template_directory_uri() . '/js/script.js' );

	wp_add_inline_script('narrative-script', "jQuery(document).ready(function(jQuery) {
	  	/*------------------------------------------------------------------
		[ Coming soon countdown ]
		*/

		var ts = new Date(".$year.", ".$month.", ".$day.", ".$hour.", ".$minutes.");

		if(jQuery('.".esc_html($id)."').length > 0){
			jQuery('.".esc_html($id)."').countdown({
				timestamp	: ts,
				callback	: function(days, hours, minutes, seconds){
				}
			});
		}
	});");
}
?>

<section class="main-row">
	<div class="container-fluid no-padding">
		<div class="banner-area banner-coming-soon-area banner-color-inherit">
			<div class="banner banner-coming-soon">
				<div class="item" style="<?php echo narrative_styles()['coming_soon_bg'] ?>">
					<div class="container">
						<div class="cell tac top">
							<div class="con-coming-soon-top">
								<?php if(!empty(narrative_styles()['coming_soon_heading'])) { ?>
									<div class="h"><?php echo wp_kses_post(narrative_styles()['coming_soon_heading']) ?></div>
								<?php } if(get_field('date')) { ?>
									<div id="countdown" class="<?php echo esc_attr($id) ?>"></div>
								<?php } ?>
							</div>
							<div class="con-coming-soon-bottom">
								<?php if(narrative_styles()['coming_soon_subscribe_code']) { ?>
									<?php if(!empty(narrative_styles()['coming_soon_subscribe_desc'])) { ?>
										<p><?php echo wp_kses_post(narrative_styles()['coming_soon_subscribe_desc']) ?></p>
									<?php } echo do_shortcode(narrative_styles()['coming_soon_subscribe_code']) ?>
								<?php } ?>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</section>
<?php get_footer('empty');
