<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Narrative
 */

get_header(); ?>

	<main class="main-row">
		<div class="container">
		<?php while ( have_posts() ) : the_post(); ?>
			<div id="post-<?php the_ID(); ?>" <?php post_class() ?>>
				<?php 
					$id = get_the_ID();
					$item = get_post($id);
					$thumb = get_post_meta( $id, '_thumbnail_id', true );

					$category = $category_name = $category_links_html = $categories_html = $project_details_html = "";
					if(is_array(wp_get_post_terms( $id, 'pt-portfolio-category')) && count(wp_get_post_terms( $id, 'pt-portfolio-category')) > 0 && wp_get_post_terms( $id, 'pt-portfolio-category')) {
						foreach (wp_get_post_terms( $id, 'pt-portfolio-category') as $item) {
							$category .= $item->slug.' ';
							$category_name .= $item->name.' / ';
							$category_links_html .= '<a href="'.esc_url(get_term_link($item->term_id)).'">'.esc_html($item->name).'</a> ';
						}
					}

					if(is_array(get_the_category($id)) && count(get_the_category($id)) == 1) {
						$categories_html = '<div class="project-catogories"><div class="label">'.esc_html__('Category:', 'narrative').'</div> '.wp_kses_post($category_links_html).'</div>';
					} else {
						$categories_html = '<div class="project-catogories"><div class="label">'.esc_html__('Categories:', 'narrative').'</div> '.wp_kses_post($category_links_html).'</div>';
					}

					$desc = strip_tags(strip_shortcodes($item->post_content));
					if(iconv_strlen ($desc, 'UTF-8') > 200) {
						$desc = substr($desc, 0, 200);
					}

					if(narrative_styles()['project-details'] == 'yes' && (narrative_styles()['client'] || narrative_styles()['technique'] || narrative_styles()['services'] || narrative_styles()['website'])) {
						$project_details_html .= '<div class="project-details">';
							$project_details_html .= '<div class="item"><i class="base-icons-circular-wall-clock"></i> <span class="label">'.esc_html__('Date:', 'narrative').'</span> <span class="value">'.get_the_date().'</span></div>';
							if(narrative_styles()['client']) {
								$project_details_html .= '<div class="item"><i class="base-icons-messenger-user-avatar"></i> <span class="label">'.esc_html__('Client:', 'narrative').'</span> <span class="value">'.strip_tags(narrative_styles()['client']).'</span></div>';
							} if(narrative_styles()['technique']) {
								$project_details_html .= '<div class="item"><i class="base-icons-photo-camera"></i> <span class="label">'.esc_html__('Technique:', 'narrative').'</span> <span class="value">'.strip_tags(narrative_styles()['technique']).'</span></div>';
							} if(narrative_styles()['services']) {
								$project_details_html .= '<div class="item"><i class="base-icons-library-bookmark"></i> <span class="label">'.esc_html__('Services:', 'narrative').'</span> <span class="value">'.strip_tags(narrative_styles()['services']).'</span></div>';
							} if(narrative_styles()['website']) {
								$project_details_html .= '<div class="item"><i class="base-icons-television-screen"></i> <span class="label">'.esc_html__('Website:', 'narrative').'</span> <span class="value">'.strip_tags(narrative_styles()['website']).'</span></div>';
							}
						$project_details_html .= '</div>';
					}

					$prev = get_permalink(get_adjacent_post(false,'',false));
					$next = get_permalink(get_adjacent_post(false,'',true));
					
					$thumbnails = get_post_meta( $id, 'pt_gallery', true );

					if(empty($thumbnails)) {
						narrative_styles()['project_style'] == 'simple';
					} else if(is_array($thumbnails) && !empty($thumbnails) && count($thumbnails) > 0 && narrative_styles()['project_style'] == 'simple') {
						narrative_styles()['project_style'] = 'grid';
					}

					if(post_password_required( $id )) {
						echo get_the_password_form();
					} else { 
				?>	
					<?php if(narrative_styles()['project_style'] == 'slider') { ?>
						<div class="site-content project-page-slider">
							<?php if(is_array($thumbnails) && !empty($thumbnails) && count($thumbnails) > 0) { ?>
								<?php 
									wp_enqueue_style( 'owl-carousel-css', get_template_directory_uri() . '/css/owl.carousel.css');
							        wp_enqueue_script( 'owl-carousel-js', get_template_directory_uri() . '/js/owl.carousel.min.js', array('jquery') );
							    ?>
						    	<div class="project-slider popup-gallery">
						    		<?php foreach($thumbnails as $id => $thumb) { ?>
						    				<div class="item popup-item" style="background-image: url(<?php echo wp_get_attachment_image_src($thumb, '')[0]; ?>)">
						    					<a href="<?php echo esc_url(wp_get_attachment_image_src($thumb, '')[0]); ?>" data-id="<?php echo esc_attr($id) ?>" data-size="<?php echo esc_attr(wp_get_attachment_image_src($thumb, '')[1]); ?>x<?php echo esc_attr(wp_get_attachment_image_src($thumb, '')[2]); ?>"></a>
						    				</div>
						    		<?php } ?>
						    	</div>
							<?php } ?>
							<?php if(!empty($categories_html)) { ?>
								<?php echo wp_kses_post($categories_html) ?>
							<?php } ?>
							<h1 class="h2"><?php echo esc_html(single_post_title()); ?></h1>
							<?php if(!empty($project_details_html)) { ?>
								<?php echo wp_kses_post($project_details_html) ?>
							<?php } ?>
							<div class="post-content">
								<?php the_content(''); ?>
								<?php if(function_exists('wp_link_pages')) { ?>
									<?php wp_link_pages(array('before' => '<div class="pagination">', 'after' => '</div>','link_before' => '<span>','link_after' => '</span>',)); ?>
								<?php } ?>
							</div>
							<div class="post-nav">
								<?php if(get_permalink() != $prev ) { ?>
								<a href="<?php echo esc_url($prev); ?>" class="prev"><i class="base-icons-arrow-point-to-right"></i> <span><?php echo esc_html__('prev post', 'narrative') ?></span></a>
								<?php } ?>
								<?php if(get_permalink() != $next ) { ?>
								<a href="<?php echo esc_url($next); ?>" class="next"><span><?php echo esc_html__('next post', 'narrative') ?></span> <i class="base-icons-arrow-point-to-left"></i></a>
								<?php } ?>
							</div>
						</div>
					<?php } else { ?>
						<div class="site-content project-page-ma">
							<h1 class="h2"><?php echo esc_html(single_post_title()); ?></h1>
							<?php if(!empty($categories_html)) { ?>
								<?php echo wp_kses_post($categories_html) ?>
							<?php } ?>
							<div class="clearfix">
								<div class="post-content <?php if(empty($project_details_html)) echo 'full'; ?>">
									<?php the_content(''); ?>
									<?php if(function_exists('wp_link_pages')) { ?>
										<?php wp_link_pages(array('before' => '<div class="pagination">', 'after' => '</div>','link_before' => '<span>','link_after' => '</span>',)); ?>
									<?php } ?>
								</div>
								<?php if(!empty($project_details_html)) { ?>
									<?php echo wp_kses_post($project_details_html) ?>
								<?php } ?>
							</div>
							<?php if(is_array($thumbnails) && !empty($thumbnails) && count($thumbnails) > 0) { ?>
								<?php if(narrative_styles()['project_style'] == 'masonry') { ?>
									<div class="post-gallery-masonry row popup-gallery">
										<?php foreach($thumbnails as $thumb) { ?>
											<div class="col-xs-12 col-sm-6 popup-item"><a href="<?php echo esc_url(wp_get_attachment_image_src($thumb, '')[0]); ?>" data-size="<?php echo wp_get_attachment_image_src($thumb, '')[1]; ?>x<?php echo wp_get_attachment_image_src($thumb, '')[2]; ?>"><?php echo wp_get_attachment_image($thumb, ''); ?></a></div>
										<?php } ?>
									</div>
								<?php } else { ?>
									<div class="post-gallery-masonry grid row popup-gallery">
										<?php foreach($thumbnails as $thumb) { ?>
											<div class="col-xs-12 col-sm-6 popup-item"><a href="<?php echo esc_url(wp_get_attachment_image_src($thumb, '')[0]); ?>" style="background-image: url(<?php echo wp_get_attachment_image_src($thumb, '')[0]; ?>)" data-size="<?php echo wp_get_attachment_image_src($thumb, '')[1]; ?>x<?php echo wp_get_attachment_image_src($thumb, '')[2]; ?>"></a></div>
										<?php } ?>
									</div>
								<?php } ?>
							<?php } ?>
						</div>
						<?php if(!empty($thumb) && empty($thumbnails)) { ?>
							<div class="post-img popup-gallery"><div class="popup-item"><a href="<?php echo esc_url(wp_get_attachment_image_src($thumb, '')[0]); ?>" data-size="<?php echo esc_attr(wp_get_attachment_image_src($thumb, '')[1]); ?>x<?php echo esc_attr(wp_get_attachment_image_src($thumb, '')[2]); ?>"><?php echo wp_get_attachment_image($thumb, ''); ?></a></div></div>
						<?php } ?>
						<div class="post-bottom">
							<?php if(function_exists('zilla_likes')) { ?>
								<div class="col"><?php echo zilla_likes($id); ?></div>
							<?php } if(function_exists('the_views')) { ?>
								<div class="col"><i class="base-icons-eye-view"></i> <span><?php echo do_shortcode('[views id="'.$id.'"]'); ?></span></div>
							<?php } ?>
							<div class="col"><i class="base-icons-dialogue-balloon"></i> <a href="#comments"><?php echo get_comments_number_text(); ?></a></div>
						</div>
						<div class="post-nav">
							<?php if(get_permalink() != $prev ) { ?>
							<a href="<?php echo esc_url($prev); ?>" class="prev"><i class="base-icons-arrow-point-to-right"></i> <span><?php echo esc_html__('prev post', 'narrative') ?></span></a>
							<?php } ?>
							<?php if(get_permalink() != $next ) { ?>
							<a href="<?php echo esc_url($next); ?>" class="next"><span><?php echo esc_html__('next post', 'narrative') ?></span> <i class="base-icons-arrow-point-to-left"></i></a>
							<?php } ?>
						</div>
					<?php } ?>
				<?php } ?>
			</div>
		<?php endwhile; ?>

		</div>
	</main>

<?php
get_footer();