<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Narrative
 */

get_header(); ?>

	<main class="main-row sample-page">
		<?php while ( have_posts() ) : the_post(); ?>
		<?php 
			$id = get_the_ID();

			$item = get_post($id);

			$thumb = get_post_meta( $id, '_thumbnail_id', true );

			$category = "";
			$category_name = "";
			$category_links_html = "";
			if(is_array(get_the_category($id)) && count(get_the_category($id)) > 0 && get_the_category($id)) {
				foreach (get_the_category($id) as $item) {
					$category .= $item->slug.' ';
					$category_name .= $item->name.' / ';
					$category_links_html .= '<a href="'.esc_url(get_category_link($item->cat_ID)).'">'.esc_html($item->name).'</a>, ';
				}
				$category_links_html = trim($category_links_html, ', ');
			}

			$tags_html = "";
			if(is_array(get_the_tags($id)) && count(get_the_tags($id)) > 0 && get_the_tags($id)) {
				foreach (get_the_tags($id) as $tag){
					$tag_link = get_tag_link($tag->term_id);

					$tags_html .= '<a href="'.$tag_link.'">'.$tag->name.'</a>, ';
				}
				$tags_html = trim($tags_html, ', ');
			}

			$prev = get_permalink(get_adjacent_post(false,'',false));
			$next = get_permalink(get_adjacent_post(false,'',true));
		?>
		<?php if(!empty($thumb) && narrative_styles()['blog_feature_image'] == 'show') { ?>
			<div class="post-banner" data-parallax="scroll" data-z-index="1" data-src="<?php echo esc_url(wp_get_attachment_image_src($thumb, '')[0]); ?>">
				<div class="container">
					<div class="cell">
						<h1 class="h h2"><?php echo esc_html(single_post_title()); ?></h1>
						<?php if(narrative_styles()['blog_date'] == 'show') { ?>
							<div class="date"><?php the_date() ?></div>
						<?php } ?>
					</div>
				</div>
			</div>
		<?php } ?>
		<div class="container">
			<div id="post-<?php the_ID(); ?>" <?php post_class() ?>>
				<?php
					if(post_password_required( $id )) {
						echo get_the_password_form();
					} else {
				?>
					<div class="site-content">
						<?php if(empty($thumb) && narrative_styles()['blog_feature_image'] != 'show') { ?>
							<h1 class="h2"><?php echo esc_html(single_post_title()); ?></h1>
						<?php } ?>
						<div class="post-content">
							<div class="clearfix">
								<?php the_content(''); ?>
							</div>
							<?php if(function_exists('wp_link_pages')) { ?>
								<?php wp_link_pages(array('before' => '<div class="pagination">', 'after' => '</div>','link_before' => '<span>','link_after' => '</span>',)); ?>
							<?php } ?>
						</div>
						<div class="post-bottom">
							<?php if(function_exists('zilla_likes') && narrative_styles()['blog_like'] == 'show') { ?>
								<div class="col"><?php echo zilla_likes($id); ?></div>
							<?php } if(function_exists('the_views') && narrative_styles()['blog_views'] == 'show') { ?>
								<div class="col"><i class="base-icons-eye-view"></i> <span><?php echo do_shortcode('[views id="'.$id.'"]'); ?></span></div>
							<?php } if(narrative_styles()['blog_comment_count'] == 'show') { ?>
								<div class="col"><i class="base-icons-dialogue-balloon"></i> <a href="#comments"><?php echo get_comments_number_text(); ?></a></div>
							<?php } ?>
							<div class="post-nav">
								<?php if(get_permalink() != $prev ) { ?>
								<a href="<?php echo esc_url($prev); ?>" class="prev"><i class="base-icons-arrow-point-to-right"></i> <span><?php echo esc_html__('prev post', 'narrative') ?></span></a>
								<?php } ?>
								<?php if(get_permalink() != $next ) { ?>
								<a href="<?php echo esc_url($next); ?>" class="next"><span><?php echo esc_html__('next post', 'narrative') ?></span> <i class="base-icons-arrow-point-to-left"></i></a>
								<?php } ?>
							</div>
						</div>
					</div>
					<?php if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif; ?>
				</div>
			<?php } ?>
		</div>
		<?php endwhile; ?>
	</main>

<?php
get_footer();