<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package narrative
 */


$class = "";

$type = 'horizontal';

$id = get_the_ID(); 
$item = get_post($id);
setup_postdata($item);
$name = $item->post_title;
$thumb = get_post_meta( $id, '_thumbnail_id', true );
$link = get_permalink($id);

$desc_size = '455';

$desc = strip_tags(strip_shortcodes($item->post_content));
$desc = substr($desc, 0, $desc_size);
$desc = rtrim($desc, "!,.-");
$desc = substr($desc, 0, strrpos($desc, ' '))."...";

$class = "";
if(!empty($thumb)) {
	$class = " with-image";
}

if(!class_exists('WPBakeryShortCode')) {
	$class .= " min";
}


$categories_html = '';
for ($i=0; $i < count(wp_get_post_terms( $id, 'category')); $i++) {
    $categories_html .= '<a href="'.esc_url(get_term_link(wp_get_post_terms( $id, 'category')[$i]->term_id)).'">'.esc_html(wp_get_post_terms( $id, 'category')[$i]->name).'</a>';
}

if(!class_exists('WPBakeryShortCode') || is_home()) {
?>
	<div id="post-<?php the_ID(); ?>" <?php post_class() ?>>
		<div class="site-content">
			<?php if(!empty($thumb)) { ?>
				<div class="img"><a href="<?php echo esc_url($link); ?>"><?php echo wp_get_attachment_image($thumb, 'large') ?></a></div>
			<?php } ?>
			<h1 class="h3"><a href="<?php echo esc_url($link); ?>"><?php echo esc_html($name); ?></a></h1>
			<div class="date">
				<?php if(is_sticky()) { ?>
				<div class="sticky-a"><i class="outicons-icons-school-paper-clip"></i> <span><?php echo esc_html__('Sticky ', 'narrative') ?></span></div>
				<?php } ?>
				<?php echo get_the_date() ?>
            </div>
			<div class="post-content">
				<div class="clearfix">
					<?php the_content(''); ?>
				</div>
				<?php if(function_exists('wp_link_pages')) { ?>
					<?php wp_link_pages(array('before' => '<div class="pagination">', 'after' => '</div>','link_before' => '<span>','link_after' => '</span>',)); ?>
				<?php } ?>
			</div>
			<div class="post-bottom">
				<?php if(function_exists('zilla_likes')) { ?>
					<div class="col"><?php echo zilla_likes($id); ?></div>
				<?php } if(function_exists('the_views')) { ?>
					<div class="col"><i class="base-icons-eye-view"></i> <span><?php echo do_shortcode('[views id="'.$id.'"]'); ?></span></div>
				<?php } ?>
				<div class="col"><i class="base-icons-dialogue-balloon"></i> <a href="<?php echo esc_url($link); ?>#comments"><?php echo get_comments_number_text(); ?></a></div>
			</div>
		</div>
	</div>
<?php } else { ?>
	<article <?php post_class('blog-item horizontal-type1 col-xs-12') ?>>
	    <div class="wrap">
			<?php if(!empty($thumb)) { ?>
				<div class="img"><a href="<?php echo esc_url($link); ?>" style="background-image: url(<?php echo wp_get_attachment_image_src($thumb, 'large')[0] ?>);"></a></div>
			<?php } ?>
	        <div class="content">
	        	<?php if(!empty($categories_html)) { ?>
		            <div class="categories"><?php echo wp_kses_post($categories_html) ?></div>
		        <?php } ?>
	            <h4 class="heading"><a href="<?php echo esc_url($link); ?>"><?php echo esc_html($name); ?></a></h4>
	            <div class="date">
					<?php if(is_sticky()) { ?>
					<div class="sticky-a"><i class="outicons-icons-school-paper-clip"></i> <span><?php echo esc_html__('Sticky ', 'narrative') ?></span></div>
					<?php } ?>
					<?php echo get_the_date() ?>
	            </div>
	            <div class="text">
		            <?php if(!class_exists('WPBakeryShortCode')) { ?>
						<?php the_content(); ?>
					<?php } else { ?>
						<p><?php echo esc_html($desc); ?></p>
					<?php } if(function_exists('wp_link_pages')) { ?>
						<?php wp_link_pages(array('before' => '<div class="pagination">', 'after' => '</div>')); ?>
					<?php } ?>
				</div>
	            <div class="bottom">
	                <div class="fl"><a href="<?php echo esc_url(get_permalink($id)) ?>" class="button-readmore"><span><?php echo esc_html__('Read More', 'narrative') ?></span><i class="base-icons-right-direction"></i></a></div>
	                <div class="fr">
	                	<?php if(function_exists('the_views')) { ?>
		                    <div class="col count"><i class="base-icons-eye-view"></i> <span><?php echo do_shortcode('[views id="'.$id.'"]') ?></span></div>
	                    <?php } if(function_exists('zilla_likes')) { ?>
		                    <div class="col"><?php echo zilla_likes($id) ?></div>
	                    <?php } ?>
	                    <div class="col"><i class="base-icons-dialogue-balloon"></i> <a href="<?php echo esc_url(get_permalink($id)) ?>#comments"><?php echo get_comments_number_text() ?></a></div>
	                </div>
	            </div>
	        </div>
	    </div>
	</article>
<?php } wp_reset_postdata(); ?> 